| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | Static Public Member Functions | List of all members
Ogre::GLFBOManager Class Reference

Factory for GL Frame Buffer Objects, and related things. More...

`#include <OgreGLFBORenderTexture.h>`

Inheritance diagram for Ogre::GLFBOManager:
[legend]

## Public Member Functions
| GLFBOManager (bool atimode)
| ~GLFBOManager ()
void | bind (RenderTarget *target)
| Bind a certain render target if it is a FBO. More...
bool | checkFormat (PixelFormat format)
| Check if a certain format is usable as FBO rendertarget format. More...
virtual MultiRenderTarget * | createMultiRenderTarget (const String &name)
| Create a multi render target. More...
virtual GLFBORenderTexture * | createRenderTexture (const String &name, const GLSurfaceDesc &target, bool writeGamma, uint fsaa)
| Create a texture rendertarget object. More...
void | getBestDepthStencil (PixelFormat internalFormat, GLenum *depthFormat, GLenum *stencilFormat)
| Get best depth and stencil supported for given internalFormat. More...
virtual void | getBestDepthStencil (PixelFormat internalFormat, uint32 *depthFormat, uint32 *stencilFormat)
PixelFormat | getSupportedAlternative (PixelFormat format)
| Get the closest supported alternative format. More...
GLuint | getTemporaryFBO ()
| Get a FBO without depth/stencil for temporary use, like blitting between textures. More...
void | releaseRenderBuffer (const GLSurfaceDesc &surface)
| Release a render buffer. More...
GLSurfaceDesc | requestRenderBuffer (GLenum format, uint32 width, uint32 height, uint fsaa)
| Request a render buffer. More...
void | unbind (RenderTarget *target)
| Unbind a certain render target. More...

## Static Public Member Functions
static GLRTTManager & | getSingleton (void)
| Get the singleton instance. More...
static GLRTTManager * | getSingletonPtr (void)
| Get the singleton instance. More...

## Detailed Description

Factory for GL Frame Buffer Objects, and related things.

## Constructor & Destructor Documentation

## ◆ GLFBOManager()

Ogre::GLFBOManager::GLFBOManager | ( | bool | atimode | ) |

## ◆ ~GLFBOManager()

Ogre::GLFBOManager::~GLFBOManager | ( |  | ) |

## Member Function Documentation

## ◆ bind()

void Ogre::GLFBOManager::bind | ( | RenderTarget * | target | ) |
| virtual

Bind a certain render target if it is a FBO.

If it is not a FBO, bind the main frame buffer.

Implements Ogre::GLRTTManager.

## ◆ unbind()

void Ogre::GLFBOManager::unbind | ( | RenderTarget * | target | ) |
| inline virtual

Unbind a certain render target.

No-op for FBOs.

Implements Ogre::GLRTTManager.

## ◆ getBestDepthStencil() [1/2]

void Ogre::GLFBOManager::getBestDepthStencil | ( | PixelFormat | internalFormat,
|  | GLenum * | depthFormat,
|  | GLenum * | stencilFormat
| ) |  |

Get best depth and stencil supported for given internalFormat.

## ◆ createRenderTexture()

virtual GLFBORenderTexture* Ogre::GLFBOManager::createRenderTexture | ( | const String & | name,
|  | const GLSurfaceDesc & | target,
|  | bool | writeGamma,
|  | uint | fsaa
| ) |  |
| virtual

Create a texture rendertarget object.

Implements Ogre::GLRTTManager.

## ◆ createMultiRenderTarget()

virtual MultiRenderTarget* Ogre::GLFBOManager::createMultiRenderTarget | ( | const String & | name | ) |
| virtual

Create a multi render target.

Reimplemented from Ogre::GLRTTManager.

## ◆ requestRenderBuffer()

GLSurfaceDesc Ogre::GLFBOManager::requestRenderBuffer | ( | GLenum | format,
|  | uint32 | width,
|  | uint32 | height,
|  | uint | fsaa
| ) |  |

Request a render buffer.

If format is GL_NONE, return a zero buffer.

## ◆ getTemporaryFBO()

GLuint Ogre::GLFBOManager::getTemporaryFBO | ( |  | ) |
| inline

Get a FBO without depth/stencil for temporary use, like blitting between textures.

## ◆ releaseRenderBuffer()

void Ogre::GLRTTManager::releaseRenderBuffer | ( | const GLSurfaceDesc & | surface | ) |
| inherited

Release a render buffer.

Ignore silently if surface.buffer is 0.

## ◆ checkFormat()

bool Ogre::GLRTTManager::checkFormat | ( | PixelFormat | format | ) |
| inline inherited

Check if a certain format is usable as FBO rendertarget format.

## ◆ getBestDepthStencil() [2/2]

virtual void Ogre::GLRTTManager::getBestDepthStencil | ( | PixelFormat | internalFormat,
|  | uint32 * | depthFormat,
|  | uint32 * | stencilFormat
| ) |  |
| inline virtual inherited

Reimplemented in Ogre::GLES2FBOManager.

## ◆ getSupportedAlternative()

PixelFormat Ogre::GLRTTManager::getSupportedAlternative | ( | PixelFormat | format | ) |
| inherited

Get the closest supported alternative format.

If format is supported, returns format.

## ◆ getSingleton()

static GLRTTManager& Ogre::GLRTTManager::getSingleton | ( | void |  | ) |
| static inherited

Get the singleton instance.

## ◆ getSingletonPtr()

static GLRTTManager* Ogre::GLRTTManager::getSingletonPtr | ( | void |  | ) |
| static inherited

Get the singleton instance.

The documentation for this class was generated from the following file:

- OgreGLFBORenderTexture.h